<?php

	require ("path.php");
	require (PATH."include/include.php"); 

//*************************************************************************************************

	session_start();

	session_register("subject");
	session_register("body");
	session_register("members");

	if ( !session_is_registered("adminId") )
		header("Location:index.php?info=17"); 

	$adminId = $_SESSION["adminId"];

//*************************************************************************************************

	$id			= (int)$_GET["id"];
	$next		= (int)$_GET["next"];
	$success	= (int)$_GET["success"];
	$failure	= (int)$_GET["failure"];
	$MAX		= 100;

//*************************************************************************************************

	if ( $id == 0 )
	{
		header("Location:index.php?info=1");
		die;
	}

//*************************************************************************************************

	if ( $next == 0 )	// This is the first time
	{
		// Get the email and save into session
		$result = executeQuery("SELECT SUBJECT, BODY FROM ".PREFIX."MAILINGLIST_EMAIL_SENT WHERE ID = '".$id."'");
		if ( $row = getRow($result) )
		{
			$subject	= $row['SUBJECT'];
			$body		= nl2br($row['BODY']);
			$body		.= "<img src='".$ROOT."mailinglist-read.php?emailId=".$id."&memberId=[MEMBERID]' width=1 heihgt=0 border=0>";
		}
		else
		{
			header("Location:index.php?info=".urlencode("Email not found for this id"));
			die;
		}

		// Get all the members in an array
		$result = executeQuery("SELECT M.ID, MAX(M.FIRST_NAME) AS FIRST_NAME, MAX(M.LAST_NAME) AS LAST_NAME, MAX(M.EMAIL) AS EMAIL FROM ".PREFIX."MAILINGLIST_MEMBER M, ".PREFIX."MAILINGLIST_MEMBER_TO_CATEGORY M2C, ".PREFIX."MAILINGLIST_EMAIL_TO_CATEGORY E2C WHERE E2C.EMAIL_ID = '".$id."' AND M2C.CATEGORY_ID = E2C.CATEGORY_ID AND M.ID = M2C.MEMBER_ID AND M.ISSUBSCRIBED = 'Y' AND M.ISVALID = 'Y' GROUP BY M.ID");
		$members = Array();
		while ( $row = getRow($result) )
		{
			array_push($members, $row);
		}

		// Save values to session
		$_SESSION["subject"]	= $subject;
		$_SESSION["body"]		= $body;
		$_SESSION["members"]	= $members;
	}

	$subject	= $_SESSION["subject"];
	$body		= $_SESSION["body"];
	$members	= $_SESSION["members"];
	$count		= sizeof($members);

	for ( $i=0; $i<$MAX && $next<$count; $i++, $next++ )
	{
		$newBody	= str_replace("[FIRSTNAME]", $members[$next]['FIRST_NAME'], $body);
		$newBody	= str_replace("[LASTNAME]", $members[$next]['LAST_NAME'], $newBody);
		$newBody	= str_replace("[MEMBERID]", $members[$next]['ID'], $newBody);

		if ( sendMail($members[$next]['EMAIL'], $WEBMASTER, $subject, $newBody) )
		{
			executeUpdate("INSERT INTO ".PREFIX."MAILINGLIST_EMAIL_TO_MEMBER(EMAIL_ID, MEMBER_ID) VALUES('".$id."', '".$members[$next]['ID']."')");
			$success++;
		}
		else
			$failure++;
	}

//*************************************************************************************************

	if ( $next < $count )
	{
?>
	<html>
		<head>
			<title> Mailinglist Send Mail </title>
			<meta http-equiv="refresh" content="5;URL=<?=$PHP_SELF?>?id=<?=$id?>&next=<?=$next?>&success=<?=$success?>&failure=<?=$failure?>&">
		</head>

		<body>
			<br><br>
			<center>
				<font size="4" color="#6600CC" face="Verdana">Emails Sent : <?=$next?></font><br>
				<font size="4" color="#6600CC" face="Verdana">Success : <?=$success?></font><br>
				<font size="4" color="#6600CC" face="Verdana">failure : <?=$failure?></font><br>
				<font size="4" color="#6600CC" face="Verdana">Refreshing page...</font>
			</center>
		</body>
	</html>
<?
	}
	else
	{
?>
	<html>
		<head>
			<title> Mailinglist Send Mail </title>
		</head>

		<body>
			<br><br>
			<center>
				<font size="4" color="#6600CC" face="Verdana">Emails Sent : <?=$next?></font><br>
				<font size="4" color="#6600CC" face="Verdana">Success : <?=$success?></font><br>
				<font size="4" color="#6600CC" face="Verdana">failure : <?=$failure?></font><br>
				<a href="welcome.php"><font size="4" color="red" face="Verdana">Back to Homepage</font></a><br>
			</center>
		</body>
	</html>
<?
	}
?>