<?php
		require ("path.php");
		require (PATH."include/include.php");

//*************************************************************************************************

		include ("session.php");

//*************************************************************************************************

		$today			= getTimezoneTime($TIMEZONE, 'Y-m-d');
		$d				= substr($today, 8, 2);
		$m				= substr($today, 5, 2);
		$y				= substr($today, 0, 4);
		$ts				= mktime(0, 0, 0, $m, $d, $y);
		$dow			= date('w', $ts);	// 0-6 = Sun-Sat

		// Make dow to 0-6 = Mon-Sat
		$dow--;
		$dow			= $dow == -1 ? 6 : $dow;

		// Find this week start date
		$weekStart		= addDays($today, -$dow);

		$defaultPayRate	= $pref['DEFAULT_PAY_RATE'];

		// Find stats
		$row			= getRow(executeQuery("SELECT COUNT(UAS.ID) AS C, SUM(UAS.COST) AS S, SUM(UAS.COST * (100 - IFNULL(UI.PAY_RATE, ".$defaultPayRate.")) / 100) AS E FROM ".PREFIX."USER_AD_SOLD UAS, ".PREFIX."USERINFO UI WHERE UI.USERID=UAS.SELLERID AND UAS.ISPAYED='Y' AND UAS.ISVALID='Y' AND DATE_FORMAT(UAS.CREATED_ON, '%Y-%m-%d')='".$today."'"));
		$todaySold		= $row['C'];
		$todayValue		= $row['S'];
		$todayAQE		= $row['E'];

		$row			= getRow(executeQuery("SELECT COUNT(UAS.ID) AS C, SUM(UAS.COST) AS S, SUM(UAS.COST * (100 - IFNULL(UI.PAY_RATE, ".$defaultPayRate.")) / 100) AS E FROM ".PREFIX."USER_AD_SOLD UAS, ".PREFIX."USERINFO UI WHERE UI.USERID=UAS.SELLERID AND UAS.ISPAYED='Y' AND UAS.ISVALID='Y' AND DATE_FORMAT(UAS.CREATED_ON, '%Y-%m-%d')>='".$weekStart."'"));
		$thisWeekSold	= $row['C'];
		$thisWeekValue	= $row['S'];
		$thisWeekAQE	= $row['E'];

		$row			= getRow(executeQuery("SELECT COUNT(UAS.ID) AS C, SUM(UAS.COST) AS S, SUM(UAS.COST * (100 - IFNULL(UI.PAY_RATE, ".$defaultPayRate.")) / 100) AS E FROM ".PREFIX."USER_AD_SOLD UAS, ".PREFIX."USERINFO UI WHERE UI.USERID=UAS.SELLERID AND UAS.ISPAYED='Y' AND UAS.ISVALID='Y' AND DATE_FORMAT(UAS.CREATED_ON, '%Y-%m-%d')>='".$y."-".$m."-01'"));
		$thisMonthSold	= $row['C'];
		$thisMonthValue	= $row['S'];
		$thisMonthAQE	= $row['E'];

		$row			= getRow(executeQuery("SELECT COUNT(ID) AS C FROM ".PREFIX."USER_AD_SOLD WHERE ISPAYED='Y' AND ISVALID='Y' AND APPROVED='Y' AND START_DATE<='".$today."' AND END_DATE>='".$today."'"));
		$totAdsRunning	= $row['C'];

//*************************************************************************************************

		$pageHeading = "Admin - Money Page";
		include ("header.php"); 

//*************************************************************************************************
?>

	<br>

	<center>
		
		<? if ( isset($_GET["info"]) ) echo getInfo($_GET["info"]); ?>

		<table width="99%" cellspacing="1" cellpadding="0" border="0" class="table">
			<tr>
				<td class="td" height="100">
					<table width="100%" cellspacing="0" cellpadding="5" border="0">
						<tr>
							<td class="style42" width="40%">Ads Sold Today:</td>
							<td class="style42" width="10%"><?=$todaySold?></td>
							<td class="style42" width="40%">Registered Members:</td>
							<td class="style42" width="10%"><?=getColumn("USER", 1, "COUNT(USERID)", 1)?></td>
						</tr>
						<tr>
							<td class="style42" width="40%">Ads Sold Today Value:</td>
							<td class="style42" width="10%"><?=$DOLLAR.$todayValue?></td>
							<td class="style42" width="40%">Newsletter Users:</td>
							<td class="style42" width="10%"><?=getColumn("MAILINGLIST_MEMBER", "Y", "COUNT(ID)", "ISSUBSCRIBED")?></td>
						</tr>
						<tr>
							<td class="style42" width="40%">Ads Sold This Week:</td>
							<td class="style42" width="10%"><?=$thisWeekSold?></td>
							<td class="style42" width="40%">Website Unique Users Today:</td>
							<td class="style42" width="10%"><?=getColumn("UNIQUE_USERS", $today, "COUNT(DISTINCT(IP))", "DATE_FORMAT(VISIT_TIME, '%Y-%m-%d')")?></td>
						</tr>
						<tr>
							<td class="style42" width="40%">Ads Sold This Week Value:</td>
							<td class="style42" width="10%"><?=$DOLLAR.$thisWeekValue?></td>
							<td class="style42" width="40%">adQuick Earnings Today:</td>
							<td class="style42" width="10%"><?=$DOLLAR.number_format($todayAQE, 2)?></td>
						</tr>
						<tr>
							<td class="style42" width="40%">Total Ads Running:</td>
							<td class="style42" width="10%"><?=$totAdsRunning?></td>
							<td class="style42" width="40%">adQuick Earnings This Week:</td>
							<td class="style42" width="10%"><?=$DOLLAR.number_format($thisWeekAQE, 2)?></td>
						</tr>
						<tr>
							<td class="style42" width="40%">Click Throughs Today:</td>
							<td class="style42" width="10%"><?=getColumn("CLICKTHROUGH", $today, "COUNT(ID)", "DATE_FORMAT(CLICK_TIME, '%Y-%m-%d')")?></td>
							<td class="style42" width="40%">adQuick Earnings This Month:</td>
							<td class="style42" width="10%"><?=$DOLLAR.number_format($thisMonthAQE, 2)?></td>
						</tr>
						<tr>
							<td class="style42" width="40%">Ads Sold This Month:</td>
							<td class="style42" width="10%"><?=$thisMonthSold?></td>
							<td class="style42" width="40%">Website Owners:</td>
							<td class="style42" width="10%"><?=getColumn("USERINFO", "", "COUNT(USERID)", "COMPANY_NAME", "<>")?></td>
						</tr>
					</table>
				</td>
			</tr>
		</table>
		
	</center>

<?
//*************************************************************************************************

		include ("footer.php"); 
		
//*************************************************************************************************
?>