<?php
//*************************************************************************************************
//
//		This cronjob will execute once every day right before midnight.
//
//*************************************************************************************************

		require ("path.php");
		require (PATH."include/include.php"); 

//*************************************************************************************************

		$today		= getTimezoneTime($TIMEZONE, 'Y-m-d');
		$totime		= substr(getTimezoneTime(), 11);
		$yesttime	= addDays(getTimezoneTime(), -1).' '.$totime;

		$result = executeQuery("SELECT ID, AD_PRODUCT_ID, START_DATE, END_DATE FROM ".PREFIX."USER_AD_SOLD WHERE ISPAYED='Y' AND ISVALID='Y' AND APPROVED='N' AND LAST_UPDATED<='".$yesttime."'");
		while ( $row = getRow($result) )
		{
			if ( $row['START_DATE'] <= $today )
			{
				$row['START_DATE'] = addDays($today, 1); // Set it to start from coming midnight
				$duration = getColumn("USER_AD_PRODUCT", $row['AD_PRODUCT_ID'], "DURATION");
				$row['END_DATE'] = addDays($row['START_DATE'], $duration);
			}

			if ( $row['START_TIME'] != '00:00:01' )
				$row['START_TIME'] = getTimezoneTime($TIMEZONE, 'H:i:s');

			executeUpdate("UPDATE ".PREFIX."USER_AD_SOLD SET APPROVED='Y', START_DATE='".$row['START_DATE']."', START_TIME='".$row['START_TIME']."', END_DATE='".$row['END_DATE']."', LAST_UPDATED='".getTimezoneTime()."' WHERE ID='".$row['ID']."'");

			sendEmailBuyerAdAccepted('', $row['ID']);
		}

//*************************************************************************************************
?>