<?php

	function sendRegisterationEmail($msg, $userId)
	{
		include (PATH.'include/constants.php');
		include (PATH.'include/site_constants.php');

		if ( $userId == '' )
		{
			$msg = 'Empty UserID. Cannot continue -sendRegisterationEmail-';
			return 0;
		}

		$sql = "SELECT U.USERID AS USERID, U.PASSWORD AS PASSWORD, UI.* FROM ".PREFIX."USER U, ".PREFIX."USERINFO UI WHERE UI.USERID = U.USERID AND U.USERID = '".$userId."'";
		$res = executeQuery($sql);
	
		if( $row = getRow($res) )
		{
			$pwd		= decrypt($row["PASSWORD"]);
			$name		= $row["NAME"];
			$personName = $row["PERSON_NAME"];
			$address	= $row["ADDRESS"];
			$city		= $row["CITY"];
			$state		= $row["STATE"];
			$country	= $row["COUNTRY"];
			$zip		= $row["ZIP"];
			$phone		= $row["PHONE"];
			$email		= $row["EMAIL"];
		}		
		else
		{
			$msg = 'UserID not found. Please register with us if you have not yet registered.<br>If you think this is a mistake please contact us for further assistance';
			return 0;
		}

		if ( $email == '' )
		{
			$msg = 'Empty Email Address. Cannot continue -sendRegisterationEmail-';
			return 0;
		}

		///////////////////////////////////////////////////////////////////////////////////////////
		// Body of Email. Edit It here if you want.
		///////////////////////////////////////////////////////////////////////////////////////////
		$text = "
Dear $personName,
	
Thanks for registering with us.

Username....... : $userId
Password....... : $pwd
Store/Company.. : $name
Your address... : $address
Your city...... : $city
Your state..... : $state
Your country... : $country
Your zipcode... : $zip
Your phone no.. : $phone
Your email add. : $email

Please feel free to contact us for any queries or comments.

Regards
Webmaster
$COMPANY_NAME";

		//echo $text;die;

		sendMail($email, $WEBMASTER, "Your registeration successful @ ".$COMPANY_NAME, $text, 0);
		sendMail($WEBMASTER, $email,  "New registeration successful @ ".$COMPANY_NAME, $text, 0);

		$msg = "A welcome email has been sent to your email address. [Email address : ".$email."]";

		return 1;

	}

//*************************************************************************************************


	function sendVerificationCode($msg, $email)
	{
		include (PATH.'include/constants.php');
		include (PATH.'include/site_constants.php');

		if ( $email == '' )
		{
			$msg = 'Empty email. Cannot continue -sendVerificationCode-';
			return 0;
		}

		$sql = "SELECT VERIFICATION_CODE, FIRST_NAME FROM ".PREFIX."USER WHERE EMAIL = '".$email."'";
		$res = executeQuery($sql);
	
		if( $row = getRow($res) )
		{
			$name		= $row["FIRST_NAME"];
			$code		= $row["VERIFICATION_CODE"];

			if ( $code == '' )
			{
				$msg = "You have already verified your email address.";
				return 0;
			}
		}		
		else
		{
			$msg = 'User not found. Please register with us if you have not yet registered.<br>If you think this is a mistake please contact webmaster for further assistance';
			return 0;
		}

		///////////////////////////////////////////////////////////////////////////////////////////
		// Body of Email. Edit It here if you want.
		///////////////////////////////////////////////////////////////////////////////////////////
		$text = "
Dear $name,

Please confirm your email address by one of these methods:

1) Click on the URL ".$ROOT."user_verify_email.php?email=".$email."&code=".$code."

2) Goto ".$ROOT."user_verify_email.php
   Enter Your Email = $email
   Verification Code = $code

Regards
Webmaster
$COMPANY_NAME";

		//echo $text;die;

		sendMail($email, $WEBMASTER, "Please verify your email address", $text, 0);
		sendMail($WEBMASTER, $email, "New User's verification email", $text, 0);

		$msg = "Your verification code has been emailed to you. [Email address : ".$email."]";

		return 1;
	}

//*************************************************************************************************

	function sendUserId($msg, $email)
	{
		include (PATH.'include/site_constants.php');

		if ( $email == '' )
		{
			$msg = 'Empty Email Address. Cannot continue -sendUserId-';
			return 0;
		}

		$sql = "SELECT USERID, FIRST_NAME, COMPANY_NAME FROM ".PREFIX."USERINFO WHERE EMAIL LIKE '".$email."'";

		$res = executeQuery($sql);
	
		if( $row = getRow($res) )
		{
			$userId		= $row["USERID"];
			$personName	= $row["FIRST_NAME"];
			$name		= $row["COMPANY_NAME"];
		}		
		else
		{
			$msg = 'UserID not found. Please register with us if you have not yet registered.<br>If you think this is a mistake please contact us for further assistance';
			return 0;
		}

		///////////////////////////////////////////////////////////////////////////////////////////
		// Body of Email. Edit It here if you want.
		///////////////////////////////////////////////////////////////////////////////////////////
		$text = "
Dear $personName (of $name),

Following is the information you requested.

Your UserId ..... $userId

Please note it down in the safe place.

Regards
Webmaster
".$COMPANY_NAME;


		//echo $text;die;

		sendMail($email, $WEBMASTER, "Your Lost UserId", $text, 0);
		sendMail($WEBMASTER, $email, "Member has requested UserId Reminder", $text, 0);

		$msg = "Your UserId has been emailed to you. [Email address : ".$email."]";

		return 1;
	}

//*************************************************************************************************

	function sendPassword($msg, $userId)
	{
		include (PATH.'include/site_constants.php');

		if ( $userId == '' )
		{
			$msg = 'Empty UserID. Cannot continue -sendPassword-';
			return 0;
		}

		$sql = "SELECT U.PASSWORD AS PASSWORD, UI.COMPANY_NAME AS NAME, UI.FIRST_NAME AS PERSON_NAME, UI.EMAIL AS EMAIL FROM ".PREFIX."USER U, ".PREFIX."USERINFO UI WHERE UI.USERID = U.USERID AND U.USERID = '".$userId."'";

		$res = executeQuery($sql);
	
		if( $row = getRow($res) )
		{
			$personName	= $row["PERSON_NAME"];
			$name		= $row["NAME"];
			$email		= $row["EMAIL"];
			$pwd		= decrypt($row["PASSWORD"]);
		}		
		else
		{
			$msg = 'UserID not found. Please register with us if you have not yet registered.<br>If you think this is a mistake please contact us for further assistance<br>UserID : '.$userId;
			return 0;
		}

		if ( $email == '' )
		{
			$msg = 'Empty Email Address. Cannot continue -sendPassword-';
			return 0;
		}

		///////////////////////////////////////////////////////////////////////////////////////////
		// Body of Email. Edit It here if you want.
		///////////////////////////////////////////////////////////////////////////////////////////
		$text = "
Dear $personName (of $name),

Following is the information you requested.

Your UserId ..... $userId
Your Password ... $pwd

Please note it down in the safe place.

Regards
Webmaster
".$COMPANY_NAME;


		//echo $text;die;

		sendMail($email, $WEBMASTER, "Your Lost Password", $text, 0);
		sendMail($WEBMASTER, $email, "Member has requested Password Reminder", $text, 0);

		$msg = "Your password has been emailed to you. [Email address : ".$email."]";

		return 1;
	}

//*************************************************************************************************

	function sendPackagePaymentEmail($msg, $userId, $packageId, $isVerified=0)
	{
		include (PATH.'include/site_constants.php');
		include (PATH.'include/constants.php');

		if ( $userId == '' )
		{
			$msg = 'Empty UserID and Email Address. Cannot continue -sendPackagePaymentEmail-';
			return 0;
		}

		if ( $row = getRecord("USERINFO", $userId, "USERID") )
		{
			$personName	= $row["PERSON_NAME"];
			$name		= $row["NAME"];
			$email		= $row["EMAIL"];			
		}
		else
		{
			$msg = 'UserID not found. Cannont send email for package payment.<br>UserID : '.$userId;
			return 0;
		}

		if ( $email == '' )
		{
			$msg = 'Empty Email Address. Cannot continue -sendPackagePaymentEmail-';
			return 0;
		}

		if ( $rowPackage = getRecord("PACKAGE", $packageId, "ID") )
		{
			$amount		= $rowPackage["PRICE"];
			$packageName= $rowPackage["TITLE"];
		}
		else
		{
			$msg = 'Package not found [PackageID : '.$packageId.'] -sendPackagePaymentEmail-';
			return 0;
		}

		if ( $isVerified == 1 )
		{
			$sub  = "Package Payment Verified Successfuly";
		
			///////////////////////////////////////////////////////////////////////////////////////////
			// Body of Email. Edit It here if you want.
			///////////////////////////////////////////////////////////////////////////////////////////
			$text = "
Dear $personName (of $name),

Your payment for the package have been successfully verified.

Your UserId ..... $userId
Your Package..... $packageName
Your Paid Amount. $DOLLAR $amount

Thanks for making payment.

Please feel free to contact for further queries.

Regards
Webmaster
".$COMPANY_NAME;
		}
		else
		{
			$sub  = "Package Payment Made Successfuly";

			///////////////////////////////////////////////////////////////////////////////////////////
			// Body of Email. Edit It here if you want.
			///////////////////////////////////////////////////////////////////////////////////////////
			$text = "
Dear $personName (of $name),

You have successfully made payment for the package. Each payment is manually verified by the administrator. Please allow 1-2 business days for administrator to verify this payment.

Your UserId ..... $userId
Your Package..... $packageName
Your Paid Amount. $DOLLAR $amount

Please feel free to contact for further queries.

Regards
Webmaster
".$COMPANY_NAME;
		}

		//echo $text;die;

		sendMail($email, $WEBMASTER, $sub, $text, 0);
		sendMail($WEBMASTER, $email, $sub." of Merchant", $text, 0);

		$msg = "Package payment email successfully sent. [Email address : ".$email."]";

		return 1;
	}

//*************************************************************************************************

	function sendClickthroughPaymentEmail($msg, $userId, $amount, $isAllDone=0, $isVerified=0)
	{
		include (PATH.'include/site_constants.php');
		include (PATH.'include/constants.php');

		if ( $userId == '' )
		{
			$msg = 'Empty UserID and Email Address. Cannot continue -sendClickthroughPaymentEmail-';
			return 0;
		}

		if ( $row = getRecord("USERINFO", $userId, "USERID") )
		{
			$personName	= $row["PERSON_NAME"];
			$name		= $row["NAME"];
			$email		= $row["EMAIL"];			
		}
		else
		{
			$msg = 'UserID not found. Cannont send email for clickthrough payment.<br>UserID : '.$userId;
			return 0;
		}

		if ( $email == '' )
		{
			$msg = 'Empty Email Address. Cannot continue -sendClickthroughPaymentEmail-';
			return 0;
		}

							
		if ( $isVerified == 1 )
		{
			if ( $isAllDone )
			{
				$textOfDues = "All your dues are clear and you have ".$DOLLAR.$amount." amount left in your account.";
			}
			else
				$textOfDues = "You still have ".$DOLLAR.$amount." to be payed for your clickthroughs in your account.";

			$sub  = "Clickthrough Payment Verified Successfully";
			
			///////////////////////////////////////////////////////////////////////////////////////////
			// Body of Email. Edit It here if you want.
			///////////////////////////////////////////////////////////////////////////////////////////
			$text = "
Dear $personName (of $name),

Your payment for the clickthroughs have been successfully verified.

Your UserId ..... $userId
$textOfDues.

Please feel free to contact for further queries.

Regards
Webmaster
".$COMPANY_NAME;
		}
		else
		{
			$sub  = "Clickthrough Payment Made Successfully";

			///////////////////////////////////////////////////////////////////////////////////////////
			// Body of Email. Edit It here if you want.
			///////////////////////////////////////////////////////////////////////////////////////////			
			$text = "
Dear $personName (of $name),

You have successfully made payment for your clickthroughs. Each payment is manually verified by the administrator. Please allow 1-2 business days for administrator to verify this payment.

Your UserId ..... $userId
Your Paid Amount. $DOLLAR $amount

Please feel free to contact for further queries.

Regards
Webmaster
".$COMPANY_NAME;
		}

		//echo $text;die;

		sendMail($email, $WEBMASTER, $sub, $text, 0);
		sendMail($WEBMASTER, $email, $sub." by Merchant", $text, 0);

		$msg = "Clickthroughs payment email successfully sent. [Email address : ".$email."]";

		return 1;
	}

//*************************************************************************************************

	function sendEmailBuyerAdBought($msg, $adSoldId)
	{
		include (PATH.'include/site_constants.php');
		include (PATH.'include/constants.php');

		if ( $adSoldId == '' )
		{
			$msg = 'Empty Ad ID. Cannot continue -sendEmailBuyerAdBought-';
			return 0;
		}

		if ( !($recAdSold = getRecord("USER_AD_SOLD", $adSoldId)) )
		{
			$msg = 'Ad record not found. Cannot continue -sendEmailBuyerAdBought-';
			return 0;
		}

		if ( !($recAdProduct = getRecord("USER_AD_PRODUCT", $recAdSold['AD_PRODUCT_ID'])) )
		{
			$msg = 'Ad Product record not found. Cannot continue -sendEmailBuyerAdBought-';
			return 0;
		}

		if ( !($recWebsite = getRecord("USER_WEBSITE", $recAdSold['SELLERID'], "USERID")) )
		{
			$msg = 'Website record not found. Cannot continue -sendEmailBuyerAdBought-';
			return 0;
		}

		if ( !($recBuyerInfo = getRecord("USERINFO", $recAdSold['BUYERID'], "USERID")) )
		{
			$msg = 'Buyer Info record not found. Cannot continue -sendEmailBuyerAdBought-';
			return 0;
		}

		///////////////////////////////////////////////////////////////////////////////////////////
		// Body of Email. Edit It here if you want.
		///////////////////////////////////////////////////////////////////////////////////////////			
		$text = "
Thanks for your order.

You have ordered the following ad through AdQuick,

Website: ".$recWebsite['WEBSITE_NAME']."
Ad Length: ".$recAdProduct['DURATION']." Day Ad
Cost: ".$DOLLAR.$recAdSold['COST']."

You ad is currently being reviewed by the website owner. Once your ad has been accepted or rejected you will be notified by email.

You can manage all the ads you buy, by logging into your account at, www.adquick.co.uk

You call also sell adspace on your website if you have one. All accounts have access to both sellers and buyers feature by logging into your account at www.adquick.co.uk

We hope you use AdQuick again soon.

www.adquick.co.uk

";

		sendMail($recBuyerInfo['EMAIL'], $WEBMASTER, "Text Ad Purchased", $text, 0);
		
		$msg = "Email successfully sent. [Email address : ".$recBuyerInfo['EMAIL']."]";
		return 1;
	}

//*************************************************************************************************

	function sendEmailBuyerAdAccepted($msg, $adSoldId)
	{
		include (PATH.'include/site_constants.php');
		include (PATH.'include/constants.php');

		if ( $adSoldId == '' )
		{
			$msg = 'Empty Ad ID. Cannot continue -sendEmailBuyerAdAccepted-';
			return 0;
		}

		if ( !($recAdSold = getRecord("USER_AD_SOLD", $adSoldId)) )
		{
			$msg = 'Ad record not found. Cannot continue -sendEmailBuyerAdAccepted-';
			return 0;
		}

		if ( !($recAdProduct = getRecord("USER_AD_PRODUCT", $recAdSold['AD_PRODUCT_ID'])) )
		{
			$msg = 'Ad Product record not found. Cannot continue -sendEmailBuyerAdAccepted-';
			return 0;
		}

		if ( !($recWebsite = getRecord("USER_WEBSITE", $recAdSold['SELLERID'], "USERID")) )
		{
			$msg = 'Website record not found. Cannot continue -sendEmailBuyerAdAccepted-';
			return 0;
		}

		if ( !($recBuyerInfo = getRecord("USERINFO", $recAdSold['BUYERID'], "USERID")) )
		{
			$msg = 'Buyer Info record not found. Cannot continue -sendEmailBuyerAdAccepted-';
			return 0;
		}

		///////////////////////////////////////////////////////////////////////////////////////////
		// Body of Email. Edit It here if you want.
		///////////////////////////////////////////////////////////////////////////////////////////			
		$text = "
Your ad for the following website has been accepted,

Website: ".$recWebsite['WEBSITE_NAME']."
Ad Length: ".$recAdProduct['DURATION']." Day Ad
Cost: ".$DOLLAR.$recAdSold['COST']."

Your ad is now live.

www.adquick.co.uk

Thanks for your order.

";

		sendMail($recBuyerInfo['EMAIL'], $WEBMASTER, "Text Ad Accepted", $text, 0);
		
		$msg = "Email successfully sent. [Email address : ".$recBuyerInfo['EMAIL']."]";
		return 1;
	}

//*************************************************************************************************

	function sendEmailBuyerAdRejected($msg, $adSoldId)
	{
		include (PATH.'include/site_constants.php');
		include (PATH.'include/constants.php');

		if ( $adSoldId == '' )
		{
			$msg = 'Empty Ad ID. Cannot continue -sendEmailBuyerAdRejected-';
			return 0;
		}

		if ( !($recAdSold = getRecord("USER_AD_SOLD", $adSoldId)) )
		{
			$msg = 'Ad record not found. Cannot continue -sendEmailBuyerAdRejected-';
			return 0;
		}

		if ( !($recAdProduct = getRecord("USER_AD_PRODUCT", $recAdSold['AD_PRODUCT_ID'])) )
		{
			$msg = 'Ad Product record not found. Cannot continue -sendEmailBuyerAdRejected-';
			return 0;
		}

		if ( !($recWebsite = getRecord("USER_WEBSITE", $recAdSold['SELLERID'], "USERID")) )
		{
			$msg = 'Website record not found. Cannot continue -sendEmailBuyerAdRejected-';
			return 0;
		}

		if ( !($recBuyerInfo = getRecord("USERINFO", $recAdSold['BUYERID'], "USERID")) )
		{
			$msg = 'Buyer Info record not found. Cannot continue -sendEmailBuyerAdRejected-';
			return 0;
		}

		///////////////////////////////////////////////////////////////////////////////////////////
		// Body of Email. Edit It here if you want.
		///////////////////////////////////////////////////////////////////////////////////////////			
		$text = "
Your ad for the following website has been rejected,

Website: ".$recWebsite['WEBSITE_NAME']."
Ad Length: ".$recAdProduct['DURATION']." Day Ad
Cost: ".$DOLLAR.$recAdSold['COST']."

The website owner may have left a reason why they have rejected your ad. You can read this reason by logging into your account and clicking on the 'Current Ads Running' and viewing your rejected ads here.

Your account has now been credited with the amount, ".$DOLLAR.$recAdSold['COST']."

You can now purchase any other ads upto the value you have just been credited with.

www.adquick.co.uk

";

		sendMail($recBuyerInfo['EMAIL'], $WEBMASTER, "Text Ad Rejected", $text, 0);
		
		$msg = "Email successfully sent. [Email address : ".$recBuyerInfo['EMAIL']."]";
		return 1;
	}

//*************************************************************************************************

	function sendEmailSellerAdSold($msg, $adSoldId)
	{
		include (PATH.'include/site_constants.php');
		include (PATH.'include/constants.php');

		if ( $adSoldId == '' )
		{
			$msg = 'Empty Ad ID. Cannot continue -sendEmailSellerAdSold-';
			return 0;
		}

		if ( !($recAdSold = getRecord("USER_AD_SOLD", $adSoldId)) )
		{
			$msg = 'Ad record not found. Cannot continue -sendEmailSellerAdSold-';
			return 0;
		}

		if ( !($recSellerInfo = getRecord("USERINFO", $recAdSold['SELLERID'], "USERID")) )
		{
			$msg = 'Buyer Info record not found. Cannot continue -sendEmailSellerAdSold-';
			return 0;
		}

		///////////////////////////////////////////////////////////////////////////////////////////
		// Body of Email. Edit It here if you want.
		///////////////////////////////////////////////////////////////////////////////////////////			
		$text = "
Someone has purchased an ad on your website.

You must now either accept or reject the ad.

To review the ad, please click the following link,

".$ROOT."seller_adsapproval_view.php?adId=".$adSoldId."

";

		sendMail($recSellerInfo['EMAIL'], $WEBMASTER, "Text Ad Sold on Your Website", $text, 0);
		
		$msg = "Email successfully sent. [Email address : ".$recSellerInfo['EMAIL']."]";
		return 1;
	}

//*************************************************************************************************

	function sendEmailBuyerAdEnded($msg, $adSoldId)
	{
		include (PATH.'include/site_constants.php');
		include (PATH.'include/constants.php');

		if ( $adSoldId == '' )
		{
			$msg = 'Empty Ad ID. Cannot continue -sendEmailBuyerAdEnded-';
			return 0;
		}

		if ( !($recAdSold = getRecord("USER_AD_SOLD", $adSoldId)) )
		{
			$msg = 'Ad record not found. Cannot continue -sendEmailBuyerAdEnded-';
			return 0;
		}

		if ( !($recAdProduct = getRecord("USER_AD_PRODUCT", $recAdSold['AD_PRODUCT_ID'])) )
		{
			$msg = 'Ad Product record not found. Cannot continue -sendEmailBuyerAdEnded-';
			return 0;
		}

		if ( !($recWebsite = getRecord("USER_WEBSITE", $recAdSold['SELLERID'], "USERID")) )
		{
			$msg = 'Website record not found. Cannot continue -sendEmailBuyerAdEnded-';
			return 0;
		}

		if ( !($recBuyerInfo = getRecord("USERINFO", $recAdSold['BUYERID'], "USERID")) )
		{
			$msg = 'Buyer Info record not found. Cannot continue -sendEmailBuyerAdEnded-';
			return 0;
		}

		///////////////////////////////////////////////////////////////////////////////////////////
		// Body of Email. Edit It here if you want.
		///////////////////////////////////////////////////////////////////////////////////////////			
		$text = "
Your ad for the following website has just ended,

Website: ".$recWebsite['WEBSITE_NAME']."
Ad Length: ".$recAdProduct['DURATION']." Day Ad
Cost: ".$DOLLAR.$recAdSold['COST']."

You can restart this ad now, if you click the link below,

".$ROOT."renew_ad.php?adId=".$adSoldId."

You can edit your ad if required, but your new ad will need to be approved by the website owner. If you choose not to edit you ad, then your ad will start immediately depending on ad space availability.

Thanks for using AdQuick

www.adquick.co.uk

";

		sendMail($recBuyerInfo['EMAIL'], $WEBMASTER, "Text Ad Rejected", $text, 0);
		
		$msg = "Email successfully sent. [Email address : ".$recBuyerInfo['EMAIL']."]";
		return 1;
	}

//*************************************************************************************************
?>