<?php

//
//		SITE FUNCTIONS
//
//***********************************************************************************

	function getBlogRec()
	{
		if ( !function_exists('curl_init') )
		{
			return '';
		}

		$contents = readFromFile('http://www.adquick.co.uk/blog/');

		$rec = array();

		$rec['link'] = stringBetween($contents, ' <h2 align="left"><a href="', '" rel="permalink" ');
		$rec['title'] = stringBetween($contents, '" rel="permalink" class="edit">', '</a></h2>');

		return $rec;
	}

//***********************************************************************************

	function requestPost($url, $data)
	{
		if ( !function_exists('curl_init') )
		{
			return '';
		}

		// Set a one-minute timeout for this script
		set_time_limit(60);

		// Initialise output variable
		$output = array();

		// Open the cURL session
		$curlSession = curl_init();

		// Set the URL
		curl_setopt ($curlSession, CURLOPT_URL, $url);
		// No headers, please
		curl_setopt ($curlSession, CURLOPT_HEADER, 0);
		// It's a POST request
		curl_setopt ($curlSession, CURLOPT_POST, 1);
		// Set the fields for the POST
		curl_setopt ($curlSession, CURLOPT_POSTFIELDS, $data);
		// Return it direct, don't print it out
		curl_setopt($curlSession, CURLOPT_RETURNTRANSFER,1); 
		// This connection will timeout in 30 seconds
		curl_setopt($curlSession, CURLOPT_TIMEOUT,30); 
		//The next two lines must be present for the kit to work with newer version of cURL
		//You should remove them if you have any problems in earluer version of cURL
		curl_setopt($curlSession, CURLOPT_SSL_VERIFYPEER, FALSE);
		curl_setopt($curlSession, CURLOPT_SSL_VERIFYHOST, 1);

		//Send the request and store the result in an array
		$response = curl_exec ($curlSession);

		// Check that a connection was made
		if (curl_error($curlSession)){
			// If it wasn't...
			$output['Status'] = "FAIL";
			$output['StatusDetail'] = curl_error($curlSession);
		}

		// Close the cURL session
		curl_close ($curlSession);

		// Return the output
		return $response;
	}

//*************************************************************************************************

		function stringBetween($source, $start, $end)
		{
			$s = substr($source, strpos($source, $start) + strlen($start));
			$s = substr($s, 0, strpos($s, $end));
			return $s;
		}

//*************************************************************************************************

	function getAlexaRanking($url)
	{
		if ( stristr($url, 'http://') )
			$url = substr($url, 7);

		$content = requestPost("http://www.alexaranking.com/alexa.cgi", "webmaster=evrsoft.com&domains=".$url);
		for ( $i=0; $i<9; $i++ )
		{
			$pos = strpos($content, "<td><font size = 2 face = \"Verdana\">");
			if ( $pos !== false )
				$content = substr($content, $pos+37);
			else
				return 0;
		}

		$ranking = stringBetween($content, "<td><font size = 2 face = \"Verdana\">", "</td>");
		return $ranking;
	}

//*************************************************************************************************

	function getGooglePageRank($url)
	{
		return "<img src=\"http://pr.blogflux.com/pr3.php?s=".$url."&\">";
	}

//*************************************************************************************************

	function getHighestClickthroughsSentInADayForSeller($websiteId)
	{
		$result = executeQuery("SELECT COUNT(CT.ID) AS C, DATE_FORMAT(CT.CLICK_TIME, '%Y-%m-%d') AS CLICK_DATE FROM ".PREFIX."USER_AD_SOLD UAS, ".PREFIX."USER_AD_PRODUCT UAP, ".PREFIX."CLICKTHROUGH CT WHERE UAP.WEBSITE_ID='".$websiteId."' AND UAP.ID=UAS.AD_PRODUCT_ID AND UAS.ID=CT.AD_SOLD_ID AND UAS.ISVALID='Y' AND UAS.APPROVED='Y' GROUP BY CLICK_DATE, BUYERID ORDER BY C DESC, CLICK_DATE DESC");
		$row = getRow($result);

		return $row;
	}

//*************************************************************************************************

	function getTotalCostOfAdsSoldForSeller($websiteId)
	{
		$result = executeQuery("SELECT SUM(UAS.COST) AS C FROM ".PREFIX."USER_AD_PRODUCT UAP, ".PREFIX."USER_AD_SOLD UAS WHERE UAP.WEBSITE_ID='".$websiteId."' AND UAP.ID=UAS.AD_PRODUCT_ID AND UAS.ISVALID='Y' AND UAS.APPROVED='Y'");
		$row = getRow($result);
		$cost = (float)$row['C'];

		return $cost;
	}

//*************************************************************************************************

	function getNumberOfAdsShowingForSeller($websiteId)
	{
		$x = getColumn("USER_AD_PREFERENCES", $websiteId, "NO_OF_ADS_AT_A_TIME", "WEBSITE_ID");
		$x = $x == 0 ? $x = 1 : $x;
		return $x;
	}

//*************************************************************************************************

	function getTotalClicksForSeller($websiteId, $adId='')
	{
		/*$adId = ''; // so that all clicks are counted
		$result = executeQuery("SELECT COUNT(CT.ID) AS C FROM ".PREFIX."USER_AD_PRODUCT UAP, ".PREFIX."USER_AD_SOLD UAS, ".PREFIX."CLICKTHROUGH CT WHERE UAP.ID=UAS.AD_PRODUCT_ID AND UAS.ID=CT.AD_SOLD_ID AND UAP.WEBSITE_ID='".$websiteId."' AND ".($adId==''?"":"UAS.ID='".$adId."' AND ")."UAS.ISVALID='Y' AND UAS.APPROVED='Y'");
		$row = getRow($result);
		$clicks = (int)$row['C'];*/

		$clicks = getColumn("USER_WEBSITE", $websiteId, "TOTAL_CLICKS", "ID");

		return $clicks;
	}

//*************************************************************************************************

	function getSellerWithUsSince($websiteId)
	{
		$userId = getColumn("USER_WEBSITE", $websiteId, "USERID");

		$result = executeQuery("SELECT (UNIX_TIMESTAMP(NOW())-UNIX_TIMESTAMP(REGISTERATION_DATE))/(24*60*60) AS D FROM ".PREFIX."USER WHERE USERID='".$userId."'");
		$row = getRow($result);
		$days = ceil($row['D']);
		$days = $days == 0 ? 1 : $days;

		return $days;
	}

//*************************************************************************************************

	function getTotalUniqueUsersForSeller($websiteId)
	{
		/*$result = executeQuery("SELECT COUNT(DISTINCT(CT.IP)) AS C FROM ".PREFIX."USER_AD_PRODUCT UAP, ".PREFIX."USER_AD_SOLD UAS, ".PREFIX."CLICKTHROUGH CT WHERE UAS.ID=CT.AD_SOLD_ID AND UAP.WEBSITE_ID='".$websiteId."' AND UAP.ID=UAS.AD_PRODUCT_ID AND UAS.ISVALID='Y' AND UAS.APPROVED='Y'");
		$row = getRow($result);
		$users = (int)$row['C'];*/

		$users = getColumn("USER_WEBSITE", $websiteId, "TOTAL_UNIQUE_USERS", "ID");

		return ($users);
	}

//*************************************************************************************************

	function getTotalImpressionsForSeller($websiteId)
	{
		/*$result = executeQuery("SELECT COUNT(DISTINCT(IM.ID)) AS C FROM ".PREFIX."USER_AD_PRODUCT UAP, ".PREFIX."USER_AD_SOLD UAS, ".PREFIX."IMPRESSIONS IM WHERE UAS.ID=IM.AD_SOLD_ID AND UAP.WEBSITE_ID='".$websiteId."' AND UAP.ID=UAS.AD_PRODUCT_ID AND UAS.ISVALID='Y' AND UAS.APPROVED='Y'");
		$row = getRow($result);
		$users = (int)$row['C'];*/

		$users = getColumn("USER_WEBSITE", $websiteId, "TOTAL_IMPRESSIONS", "ID");

		return ($users);
	}

//*************************************************************************************************

	function getAvgUniqueUsersForSeller($websiteId)
	{
		// removed ceil 006.10.27 and added round
		return round(getTotalUniqueUsersForSeller($websiteId)/getSellerWithUsSince($websiteId), 2);
	}

//*************************************************************************************************

	function getAvgImpressionsForSeller($websiteId)
	{
		// removed ceil 006.10.27 and added round
		return round(getTotalImpressionsForSeller($websiteId)/getSellerWithUsSince($websiteId), 2);
	}

//*************************************************************************************************

	function getAvgCPC($websiteId)
	{
		$clicks = getTotalClicksForSeller($websiteId);
		if ( $clicks == 0 )
			return 0;
		else
			return getTotalCostOfAdsSoldForSeller($websiteId)/$clicks;
	}

//*************************************************************************************************

	function getAvgCPD($websiteId, $adId='')
	{
		return ((getTotalClicksForSeller($websiteId, $adId)/getSellerWithUsSince($websiteId))/getNumberOfAdsShowingForSeller($websiteId));
	}

//*************************************************************************************************

	function getSellerNextAdAvailableOn($websiteId)
	{
		$today	 = getTimezoneTime($TIMEZONE, 'Y-m-d');	// Get current date
		$defDate = $today;	// start right away

		$noOfAds = getNumberOfAdsShowingForSeller($websiteId);	// Total ads showable

		$result = executeQuery("SELECT COUNT(UAS.ID) AS C FROM ".PREFIX."USER_AD_PRODUCT UAP, ".PREFIX."USER_AD_SOLD UAS WHERE UAP.WEBSITE_ID='".$websiteId."' AND UAP.ID=UAS.AD_PRODUCT_ID AND UAS.ISVALID='Y' AND UAS.REJECTED='N' AND UAS.ISPAYED='Y' AND UAS.END_DATE>'".$today."'");
		if ( $row = getRow($result) )	// get total ads running or about to run
		{
			if ( $row['C'] < $noOfAds )	// If there is space availble to show add
				return $defDate;		// then show it on the next starting date calculated above
		}
		else
		{
			return 'GetNextDate-Error-01';
		}

		//  *** Otherwise, find an available slot ***

		$prevIds = '0';
		$result = executeQuery("SELECT UAP.ID, END_DATE FROM ".PREFIX."USER_AD_PRODUCT UAP, ".PREFIX."USER_AD_SOLD UAS WHERE UAP.WEBSITE_ID='".$websiteId."' AND UAP.ID=UAS.AD_PRODUCT_ID AND UAS.ISVALID='Y' AND UAS.REJECTED='N' AND UAS.ISPAYED='Y' AND UAS.END_DATE>'".$today."' ORDER BY UAS.END_DATE");
		while ( $row = getRow($result) )
		{
			// See if this ad has an ad right after it
			$res2 = executeQuery("SELECT UAP.ID FROM ".PREFIX."USER_AD_PRODUCT UAP, ".PREFIX."USER_AD_SOLD UAS WHERE UAP.WEBSITE_ID='".$websiteId."' AND UAP.ID=UAS.AD_PRODUCT_ID AND UAS.ISVALID='Y' AND UAS.REJECTED='N' AND UAS.ISPAYED='Y' AND UAS.START_DATE='".$row['END_DATE']."' AND UAS.ID NOT IN (".$prevIds.")");
			if ( $row2 = getRow($res2) )
			{								// If yes then save its id and continue
				$prevIds .= ','.$row2['ID'];
				continue;
			}

			return $row['END_DATE'];
		}

		return 'GetNextDate-UnknownError-02';	// This line should not logically ever execute
	}

//*************************************************************************************************

	function getNextTip()
	{
		$tot = getColumn("TIPS", "1", "COUNT(ID)", "1");

		if ( $tot == 0 )
			return '';
		elseif ( $tot == 1 )
			$nextId = getColumn("TIPS", "1", "MIN(ID)", "1");
		else
		{
			$lastId = getColumn("TIPS", 1, "ID", "POS");

			$result = executeQuery("SELECT ID FROM ".PREFIX."TIPS WHERE ID>'".$lastId."' ORDER BY ID");
			if ( $row = getRow($result) )
			{
				$nextId = $row['ID'];
			}
			else
			{
				$nextId = getColumn("TIPS", "1", "MIN(ID)", "1");
			}
		}

		executeUpdate("UPDATE ".PREFIX."TIPS SET POS=0");
		executeUpdate("UPDATE ".PREFIX."TIPS SET POS=1 WHERE ID='".$nextId."'");

		return getColumn("TIPS", $nextId, "TIP");
	}

//*************************************************************************************************

	function getPaymentTypeText($value)
	{		
		return ($value == 'C' ? 'Cheque' : 'PayPal');
	}

//*************************************************************************************************

	function showPaymentTypeInput($value='', $field='paymentType')
	{		
		?><input type="radio" name="<?=$field?>" id="<?=$field?>_C" <?=$value=='C'?'checked':''?> value="C"><label for="<?=$field?>_C"> Cheque</label> &nbsp; <input type="radio" name="<?=$field?>" id="<?=$field?>_P" <?=$value=='P'?'checked':''?> value="P"><label for="<?=$field?>_P"> PayPal</label><?
	}

//*************************************************************************************************

	function getAdTypeText($value)
	{		
		return ($value == 'T' ? 'Text' : 'Image');
	}

//*************************************************************************************************

	function showAdTypeInput($value='', $field='adType')
	{		
		?><input type="radio" name="<?=$field?>" id="<?=$field?>_T" <?=$value=='T'?'checked':''?> value="T"><label for="<?=$field?>_T"> Text</label> &nbsp; <input type="radio" name="<?=$field?>" id="<?=$field?>_I" <?=$value=='I'?'checked':''?> value="I"><label for="<?=$field?>_I"> Image</label><?
	}

//*************************************************************************************************

	function showDateComboOptionsFrom($startDate, $numDays=3, $selected="")
	{
		$y = substr($startDate, 0, 4);
		$m = substr($startDate, 5, 2);
		$d = substr($startDate, 8, 2);

		for ( $i=0; $i<$numDays; $i++ )
		{
			$ts = mktime(0, 0, 0, $m, $d+$i, $y);
		?>
		<option value="<?=date('Y-m-d', $ts)?>" <?=$selected==date('Y-m-d', $ts)?"selected":""?>><?=date('jS F Y', $ts)?></option>
		<?
		}
	}

//*************************************************************************************************

	function getCompanyFeePercentage($userId="")
	{
		if ( $userId == '' )
			$payRate = getColumn("PREFERENCES", 1000, "DEFAULT_PAY_RATE");
		else
			$payRate = getColumn("USERINFO", $userId, "PAY_RATE", "USERID");

		if ( $payRate == 0 )
			$payRate = 100 - ADQUICK_FEE_PERCENTAGE;

		return number_format($payRate, 2);
	}

//*************************************************************************************************

	function getAdQuickFeePercentage($userId="")
	{
		return number_format(100 - getCompanyFeePercentage($userId), 2);
	}

//***********************************************************************************

?>