<?php
//*************************************************************************************************
//
//		MAILINGLIST FUNCTIONS
//	
//*************************************************************************************************

	function sendMailingListVerificationEmail($msg, $subscriberId)
	{
		include (PATH.'include/constants.php');
		include (PATH.'include/site_constants.php');

		if ( $subscriberId == '' )
		{
			$msg = 'Empty SubscriberID. Cannot continue -sendMailingListVerificationEmail-';
			return 0;
		}

		$sql = "SELECT * FROM ".PREFIX."MAILINGLIST_MEMBER WHERE ID = '".$subscriberId."'";
		$res = executeQuery($sql);
	
		if( $row = getRow($res) )
		{
			$fname		= $row["FIRST_NAME"];
			$lname		= $row["LAST_NAME"];
			$email		= $row["EMAIL"];
			$code		= $row["VERIFICATION_CODE"];

			if ( $code == '' )
			{
				$msg = "You have already verified your email address.";
				return 0;
			}
		}		
		else
		{
			$msg = 'SubscriberID not found in database. Please subscriber with us if you have not yet registered.<br>If you think this is a mistake please contact webmaster for further assistance';
			return 0;
		}

		if ( $email == '' )
		{
			$msg = 'Empty Email Address. Cannot continue -sendMailingListVerificationEmail-';
			return 0;
		}

		$text = "
Dear $fname $lname,

You or someone on your behalf has subscribed for the mailing list. Please confirm your email address in order to receive newsletter by one of these methods:

1) Click on the URL ".$ROOT."mailinglist-verifyemail.php?sId=".$subscriberId."&code=".$code."

2) Goto ".$ROOT."mailinglist-verifyemail.php
   Enter Subscriber# = $subscriberId
   Verification Code = $code

Regards
AdQuick
$COMPANY_NAME";

		//echo $text;die;

		sendMail($email, $WEBMASTER, "Please verify your email address", $text, 0);
		sendMail($WEBMASTER, $email, "New subscriber verification email", $text, 0);

		$msg = "Your verification code has been emailed to you. [Email address : ".$email."]";

		return 1;
	}

//*************************************************************************************************
?>